Summary:	Collecting and processing NetFlow data
Summary(pl.UTF-8):	Gromadzenie i przetwarzanie informacji o przepływie w sieci
Name:		flow-tools
Version:	0.68.5
Release:	8
License:	BSD
Group:		Applications/Networking
Source0:	http://flow-tools.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	3c5e75da2822ab6b4947c928c09ea365
Patch0:		%{name}-shebang.patch
Patch1:		format-security.patch
Patch2:		openssl.patch
Patch3:		duplicate-def.patch
URL:		http://code.google.com/p/flow-tools/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	libwrap-devel >= 7.6-32
BuildRequires:	mysql-devel
BuildRequires:	openssl-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a software package for collecting and processing NetFlow data
from Cisco and Juniper routers.

%description -l pl.UTF-8
Jest to oprogramowanie służące do gromadzenia i przetwarzania
informacji o przepływie w sieci (NetFlow) z routerów Cisco i Juniper.

%package libs
Summary:	flow-tools library
Summary(pl.UTF-8):	Biblioteka flow-tools
Group:		Libraries
Conflicts:	flow-tools < 0.67-2

%description libs
flow-tools library.

%description libs -l pl.UTF-8
Biblioteka flow-tools.

%package devel
Summary:	Header files flow-tools library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki flow-tools
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	zlib-devel

%description devel
This package contains header files for flow-tools library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki flow-tools.

%package static
Summary:	Static flow-tools library
Summary(pl.UTF-8):	Statyczna biblioteka flow-tools
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static flow-tools library.

%description static -l pl.UTF-8
Statyczna biblioteka flow-tools.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__sed} -E -i -e '1s,#!\s*/usr/bin/python(\s|$),#!%{__python}\1,' \
      bin/flow-log2rrd \
      bin/flow-rpt2rrd \
      bin/flow-rptfmt

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--with-mysql \
	--with-openssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog ChangeLog.old INSTALL README README.fork SECURITY TODO
%attr(755,root,root) %{_bindir}/flow-*
%attr(755,root,root) %{_datadir}/%{name}
%{_mandir}/man1/flow-*.1*

%files libs
%defattr(644,root,root,755)
%{_sysconfdir}/%{name}
%attr(755,root,root) %{_libdir}/libft.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libft.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libft.so
%{_libdir}/libft.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libft.a
%changelog
* Sun Oct 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/flow-tools.git;a=log;h=master

* Sun Oct 24 2021 Jan Rękorajski <baggins@pld-linux.org> 0b3dd96
- fix more shebangs, remove duplicate global var, rel 8

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 75b1c29
- rel 7; openssl 1.1.1 fix

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b5a4654
- release 6 (by relup.sh)

* Sun Mar 18 2018 Jan Rękorajski <baggins@pld-linux.org> 0672eb7
- fix format string errors
- rel 5

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cd70586
- release 4

* Wed Apr 28 2010 pawelz <pawelz@pld-linux.org> 350c6ed
- drop unused BR: sed >= 4.0

* Wed Apr 28 2010 pawelz <pawelz@pld-linux.org> 5615bcb
- really apply shebang patch. Patch0 tag is not enough!
- drop sed (it's better to use patch, this sed did not work)
- rel 3

* Tue Apr 13 2010 pawelz <pawelz@pld-linux.org> fea0b93
- added patch0 (shebang.patch)
- rel 2

* Tue Apr 13 2010 pawelz <pawelz@pld-linux.org> 76a040c
- s,^#!/bin/env ,#!/usr/bin,g

* Fri Apr 09 2010 Tomasz Pala <gotar@pld-linux.org> 00f1e1a
- obsoleted

* Fri Apr 09 2010 Tomasz Pala <gotar@pld-linux.org> 9a541c2
- upgraded to 0.68.5

* Tue Sep 23 2008 pawelz <pawelz@pld-linux.org> 9a76901
- BR: rpm-pythonprov

* Tue Sep 23 2008 pawelz <pawelz@pld-linux.org> 1e90c61
- added patch1 (gcc4 buildfix)
- more verbose %files
- sorted BRs

* Tue Sep 23 2008 pawelz <pawelz@pld-linux.org> 6195eb4
- gcc4 buildfix
- patch comes from flow-tools mailing list

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c8111e2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> caea4c0
- converted to UTF-8

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 68f039d
- fix python path; rel 3

* Fri Dec 08 2006 Elan Ruusamäe <glen@pld-linux.org> dcdc76b
- rel 2

* Wed May 10 2006 darekr <darekr@pld-linux.org> 7a424cb
- fix %files - use defined macro

* Sun Mar 12 2006 maciek2w <maciek2w@pld-linux.org> ee0cb52
- updated to 0.68

